Loading...
Searching...
No Matches
log4shib::Properties Class Reference

`#include <Properties.hh>`

Inheritance diagram for log4shib::Properties:
[legend]
Collaboration diagram for log4shib::Properties:
[legend]

## Public Member Functions

| Properties ()
virtual | ~Properties ()
virtual void | load (std::istream &in)
virtual void | save (std::ostream &out)
virtual int | getInt (const std::string &property, int defaultValue)
virtual bool | getBool (const std::string &property, bool defaultValue)
virtual std::string | getString (const std::string &property, const char *defaultValue)

## Protected Member Functions

virtual void | _substituteVariables (std::string &value)

## Constructor & Destructor Documentation

## Properties()

log4shib::Properties::Properties | ( |  | ) |

## ~Properties()

log4shib::Properties::~Properties | ( |  | ) |

virtual

## Member Function Documentation

## _substituteVariables()

void log4shib::Properties::_substituteVariables | ( | std::string & | value | ) |

protected virtual

## getBool()

bool log4shib::Properties::getBool | ( | const std::string & | property,
|  | bool | defaultValue )

virtual

## getInt()

int log4shib::Properties::getInt | ( | const std::string & | property,
|  | int | defaultValue )

virtual

## getString()

std::string log4shib::Properties::getString | ( | const std::string & | property,
|  | const char * | defaultValue )

virtual

## load()

void log4shib::Properties::load | ( | std::istream & | in | ) |

virtual

## save()

void log4shib::Properties::save | ( | std::ostream & | out | ) |

virtual

The documentation for this class was generated from the following files:

- Properties.hh
- Properties.cpp